
# * Author:    Jonas Gjendem Røysland
# * Created:   14.06.2023


gcc onboard_classification.c ../../radiometric/src/radiometric.c ../../svm_bdt/src/svmbdt.c -o onboard_classification.exe -O3 

  #./onboard_classification.exe  capture_folder save_labels_path "1" "0" ""

bdt_index="1" #This most be changed to test another bdt

save_dir=""../../../../Labeled_Images/Computer_Testing_Images/BDT"${bdt_index}"/""
search_dir="../../../../HSI_Cubes"

capture_folder="../../../../Satellite_Folder/capture_folder/"
capture_config_ini_save_path="${capture_folder}"capture_config.ini""
binned_cube_bip_path="${capture_folder}"binned_cube.bip""
config_path="../config/"
radiance_mode=0
radiance_sparse_mode=1
reflectance_mode=2 
reflectance_sparse_mode=3

radiance_labels_path="${save_dir}"Radiance/""
radiance_sparse_labels_path="${save_dir}"Radiance_Sparse/""
reflectance_labels_path="${save_dir}"Reflectance/""
reflectance_sparse_labels_path="${save_dir}"Reflectance_Sparse/""

for entry in "$search_dir"/*
do

cube_name="$(cut -d "/" -f6 <<< "$entry")" #f6 might be changed if HSI_Cubes path changes
bip_cube_path="${entry}"/"${cube_name}".bip""
capture_config_path="${entry}"/"${cube_name}"-hsi0/capture_config.ini""
local_angels_path="${entry}"/"${cube_name}"-local-angles.csv""
echo  $cube_name

cp "${capture_config_path}" "${capture_config_ini_save_path}" 
cp "${bip_cube_path}" "${binned_cube_bip_path}"

for processing_mode in {0..3}
do 
  if [ $processing_mode -eq $radiance_mode ]
  then 
    labels_name="${radiance_labels_path} ${cube_name}"-labels-radiance""
    ./onboard_classification.exe "$capture_folder" "$labels_name" "$config_path" "$bdt_index" "0" 
  fi

  if [ $processing_mode -eq $radiance_sparse_mode ]
  then 
    labels_name="${radiance_sparse_labels_path} ${cube_name}"-labels-radiance-sparse""
    ./onboard_classification.exe "$capture_folder" "$labels_name" "$config_path" "$bdt_index" "1"
  fi

  if [ $processing_mode -eq $reflectance_mode ]
  then 
    labels_name="${reflectance_labels_path} ${cube_name}"-labels-reflectance""
    ./onboard_classification.exe "$capture_folder" "$labels_name" "$config_path" "$bdt_index" "2" "$local_angels_path"
  fi

  if [ $processing_mode -eq $reflectance_sparse_mode ]
  then 
    labels_name="${reflectance_sparse_labels_path} ${cube_name}"-labels-reflectance-sparse""
    ./onboard_classification.exe "$capture_folder" "$labels_name" "$config_path" "$bdt_index" "3" "$local_angels_path"
  fi

done 



done
